---
document: modulemd
version: 2
data:
  name: python38
  stream: "3.8"
  version: 8090020231017130934
  context: a51370e3
  arch: x86_64
  summary: Python programming language, version 3.8
  description: >-
    This module gives users access to the internal Python 3.8 in RHEL8, as

    well as provides some additional Python packages the users might need.

    In addition to these you can install any python3-* package available

    in RHEL and use it with Python from this module.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      httpd: [2.4]
      platform: [el8]
      swig: [3.0]
    requires:
      platform: [el8]
  references:
    community: https://www.python.org/
    documentation: https://docs.python.org/3.8/
  profiles:
    build:
      rpms:
      - python38
      - python38-devel
      - python38-rpm-macros
    common:
      rpms:
      - python38
  api:
    rpms:
    - python38
    - python38-Cython
    - python38-PyMySQL
    - python38-asn1crypto
    - python38-babel
    - python38-cffi
    - python38-chardet
    - python38-cryptography
    - python38-devel
    - python38-idle
    - python38-idna
    - python38-jinja2
    - python38-libs
    - python38-lxml
    - python38-markupsafe
    - python38-mod_wsgi
    - python38-numpy
    - python38-numpy-f2py
    - python38-pip
    - python38-pip-wheel
    - python38-ply
    - python38-psutil
    - python38-psycopg2
    - python38-pycparser
    - python38-pysocks
    - python38-pytz
    - python38-pyyaml
    - python38-requests
    - python38-rpm-macros
    - python38-scipy
    - python38-setuptools
    - python38-setuptools-wheel
    - python38-six
    - python38-test
    - python38-tkinter
    - python38-urllib3
    - python38-wheel
    - python38-wheel-wheel
  filter:
    rpms:
    - python38-atomicwrites
    - python38-attrs
    - python38-more-itertools
    - python38-packaging
    - python38-pluggy
    - python38-py
    - python38-pyparsing
    - python38-pytest
    - python38-wcwidth
  buildopts:
    rpms:
      macros: >
        # === Bootstrap phase 3/4 ===

        #

        %python3_pkgversion 38

        %_without_python2 1

        # py, pyparsing, atomicwrites, packaging, pytest

        %_without_docs 1
  components:
    rpms:
      Cython:
        rationale: Python component
        ref: db38f8a0ec5b3a70c737f7f706d119e41bc0da66
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      PyYAML:
        rationale: Python component
        ref: 637912ad8c1ac83e547fcc15e30dc208b4e5d4dc
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      babel:
        rationale: Python component
        ref: ccc06c3a6b5d1adc319f379d60fccf8e57e3e56a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      mod_wsgi:
        rationale: Python component
        ref: e65615b1080169b32c238c53358f6f47be9cad6a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      numpy:
        rationale: Python component
        ref: bd60c78190cdfb4cc1c5744cbadbbbb0f099942e
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pytest:
        rationale: Python component
        ref: a9ddeb555d318f2dc9b223c005a3184dcd692530
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-PyMySQL:
        rationale: Python component
        ref: 2ccefe759a8369f1c6a10805fdced84a49d6f896
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-asn1crypto:
        rationale: Python component
        ref: c41e9b9b5c1ce7972ed607dccb8740066ef2f009
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-atomicwrites:
        rationale: Python component
        ref: ed9f1323453bcc92861024e01ee02f688fe52821
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-attrs:
        rationale: Python component
        ref: 2f1a5d592e7342d025f585c714fa3cee5991847b
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-cffi:
        rationale: Python component
        ref: c0f5a7448b54e10229f2986c27d2b3bb69693a23
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-chardet:
        rationale: Python component
        ref: f86ea9a1192eee7fc5543103a20dc799c47f7ec2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-cryptography:
        rationale: Python component
        ref: 24296686cd6cab4278b7da4b12309c0e597e0ab2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-idna:
        rationale: Python component
        ref: 43933b9635752fcc561384807d01c037ae0b1830
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-jinja2:
        rationale: Python component
        ref: 3cea751d30f4f349bbc79b38d0f121bafd09b097
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-lxml:
        rationale: Python component
        ref: fc1d092fd5b552b087295388877f979a406657be
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-markupsafe:
        rationale: Python component
        ref: 0376938857b27c206f1009022376695235d652c8
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-more-itertools:
        rationale: Python component
        ref: f9210d755cd0ddb3d82915c0ab8811acd7823f41
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-packaging:
        rationale: Python component
        ref: 008e0a8c163c747229f277a81eb008321c175054
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pluggy:
        rationale: Python component
        ref: b4323dd0277418f2c53d029c884ef0243ce00101
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-ply:
        rationale: Python component
        ref: 3003e7cd472540c7bcb04cba0ecd93fe5b938b61
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-psutil:
        rationale: Python component
        ref: 375fe1d7a541a2ce857e311dd126ab97312c435d
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-psycopg2:
        rationale: Python component
        ref: b3cdff8eca4daf942e38fe58639354f56586a3e5
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-py:
        rationale: Python component
        ref: e5d06606e24347f76ee699d407d28ab04e89fbe9
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pycparser:
        rationale: Python component
        ref: b14656f2edcede20b198def4a1fae0f2db7266ca
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-pysocks:
        rationale: Python component
        ref: 97a973800aed1a25af2d17948b65ed88969d0c06
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-requests:
        rationale: Python component
        ref: 547d3516307c1aab499dd93efeb8811d9d8fba61
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-urllib3:
        rationale: Python component
        ref: c475ff8902ff263225da81cea505045cb36c7c23
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-wcwidth:
        rationale: Python component
        ref: d7664401a65e86eb8f2a8e704fc61f1ab12800b2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-wheel:
        rationale: Packaging tool
        ref: 3453f7d6bbb9201df3db25f6ca91c63150cb8230
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python38:
        rationale: The main Python interpreter
        ref: 2148e8b10d307f2aa457556804d2f50f926ffe64
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python3x-pip:
        rationale: Packaging tool
        ref: 9a0034f391bd8785f0e3ace3db7486902a127a3f
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python3x-pyparsing:
        rationale: Python component
        ref: c26ecb6f0f764de4c2a2ad4c69d3c5d0c792216e
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python3x-setuptools:
        rationale: Packaging tool
        ref: a3a11e981e9859648dc142e1d933dfd7d602746c
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python3x-six:
        rationale: Python component
        ref: 74a11d497cec7d50e6e86f06940a189aa67f0e35
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pytz:
        rationale: Python component
        ref: 2dc676c1dea6b1b709c4d87e4559a0378e50a16a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      scipy:
        rationale: Python component
        ref: ab5003a9756bd771dd37b3330ea2cada025daca6
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - Cython-0:0.29.14-4.module_el8.6.0+2778+cd494b30.src
    - Cython-debugsource-0:0.29.14-4.module_el8.6.0+2778+cd494b30.x86_64
    - PyYAML-0:5.4.1-1.module_el8.6.0+2778+cd494b30.src
    - PyYAML-debugsource-0:5.4.1-1.module_el8.6.0+2778+cd494b30.x86_64
    - babel-0:2.7.0-11.module_el8.6.0+2778+cd494b30.src
    - mod_wsgi-0:4.6.8-5.module_el8.9.0+3633+e453b53a.src
    - numpy-0:1.17.3-7.module_el8.9.0+3633+e453b53a.src
    - numpy-debugsource-0:1.17.3-7.module_el8.9.0+3633+e453b53a.x86_64
    - python-PyMySQL-0:0.10.1-1.module_el8.6.0+2778+cd494b30.src
    - python-asn1crypto-0:1.2.0-3.module_el8.6.0+2778+cd494b30.src
    - python-cffi-0:1.13.2-3.module_el8.6.0+2778+cd494b30.src
    - python-cffi-debugsource-0:1.13.2-3.module_el8.6.0+2778+cd494b30.x86_64
    - python-chardet-0:3.0.4-19.module_el8.6.0+2778+cd494b30.src
    - python-cryptography-0:2.8-3.module_el8.6.0+2778+cd494b30.src
    - python-cryptography-debugsource-0:2.8-3.module_el8.6.0+2778+cd494b30.x86_64
    - python-idna-0:2.8-6.module_el8.6.0+2778+cd494b30.src
    - python-jinja2-0:2.11.3-1.module_el8.7.0+3344+99a6a656.src
    - python-lxml-0:4.4.1-7.module_el8.6.0+2778+cd494b30.src
    - python-lxml-debugsource-0:4.4.1-7.module_el8.6.0+2778+cd494b30.x86_64
    - python-markupsafe-0:1.1.1-6.module_el8.6.0+2778+cd494b30.src
    - python-markupsafe-debugsource-0:1.1.1-6.module_el8.6.0+2778+cd494b30.x86_64
    - python-ply-0:3.11-10.module_el8.6.0+2778+cd494b30.src
    - python-psutil-0:5.6.4-4.module_el8.6.0+2778+cd494b30.src
    - python-psutil-debugsource-0:5.6.4-4.module_el8.6.0+2778+cd494b30.x86_64
    - python-psycopg2-0:2.8.4-4.module_el8.7.0+3344+99a6a656.src
    - python-psycopg2-debugsource-0:2.8.4-4.module_el8.7.0+3344+99a6a656.x86_64
    - python-pycparser-0:2.19-3.module_el8.6.0+2778+cd494b30.src
    - python-pysocks-0:1.7.1-4.module_el8.6.0+2778+cd494b30.src
    - python-requests-0:2.22.0-10.module_el8.9.0+3633+e453b53a.src
    - python-urllib3-0:1.25.7-5.module_el8.6.0+2778+cd494b30.src
    - python-wheel-0:0.33.6-6.module_el8.6.0+2778+cd494b30.src
    - python38-0:3.8.17-2.module_el8.9.0+3633+e453b53a.src
    - python38-0:3.8.17-2.module_el8.9.0+3633+e453b53a.x86_64
    - python38-Cython-0:0.29.14-4.module_el8.6.0+2778+cd494b30.x86_64
    - python38-Cython-debuginfo-0:0.29.14-4.module_el8.6.0+2778+cd494b30.x86_64
    - python38-PyMySQL-0:0.10.1-1.module_el8.6.0+2778+cd494b30.noarch
    - python38-asn1crypto-0:1.2.0-3.module_el8.6.0+2778+cd494b30.noarch
    - python38-babel-0:2.7.0-11.module_el8.6.0+2778+cd494b30.noarch
    - python38-cffi-0:1.13.2-3.module_el8.6.0+2778+cd494b30.x86_64
    - python38-cffi-debuginfo-0:1.13.2-3.module_el8.6.0+2778+cd494b30.x86_64
    - python38-chardet-0:3.0.4-19.module_el8.6.0+2778+cd494b30.noarch
    - python38-cryptography-0:2.8-3.module_el8.6.0+2778+cd494b30.x86_64
    - python38-cryptography-debuginfo-0:2.8-3.module_el8.6.0+2778+cd494b30.x86_64
    - python38-debug-0:3.8.17-2.module_el8.9.0+3633+e453b53a.x86_64
    - python38-debuginfo-0:3.8.17-2.module_el8.9.0+3633+e453b53a.x86_64
    - python38-debugsource-0:3.8.17-2.module_el8.9.0+3633+e453b53a.x86_64
    - python38-devel-0:3.8.17-2.module_el8.9.0+3633+e453b53a.x86_64
    - python38-idle-0:3.8.17-2.module_el8.9.0+3633+e453b53a.x86_64
    - python38-idna-0:2.8-6.module_el8.6.0+2778+cd494b30.noarch
    - python38-jinja2-0:2.11.3-1.module_el8.7.0+3344+99a6a656.noarch
    - python38-libs-0:3.8.17-2.module_el8.9.0+3633+e453b53a.x86_64
    - python38-lxml-0:4.4.1-7.module_el8.6.0+2778+cd494b30.x86_64
    - python38-lxml-debuginfo-0:4.4.1-7.module_el8.6.0+2778+cd494b30.x86_64
    - python38-markupsafe-0:1.1.1-6.module_el8.6.0+2778+cd494b30.x86_64
    - python38-markupsafe-debuginfo-0:1.1.1-6.module_el8.6.0+2778+cd494b30.x86_64
    - python38-mod_wsgi-0:4.6.8-5.module_el8.9.0+3633+e453b53a.x86_64
    - python38-numpy-0:1.17.3-7.module_el8.9.0+3633+e453b53a.x86_64
    - python38-numpy-debuginfo-0:1.17.3-7.module_el8.9.0+3633+e453b53a.x86_64
    - python38-numpy-doc-0:1.17.3-7.module_el8.9.0+3633+e453b53a.noarch
    - python38-numpy-f2py-0:1.17.3-7.module_el8.9.0+3633+e453b53a.x86_64
    - python38-pip-0:19.3.1-7.module_el8.9.0+3633+e453b53a.noarch
    - python38-pip-wheel-0:19.3.1-7.module_el8.9.0+3633+e453b53a.noarch
    - python38-ply-0:3.11-10.module_el8.6.0+2778+cd494b30.noarch
    - python38-psutil-0:5.6.4-4.module_el8.6.0+2778+cd494b30.x86_64
    - python38-psutil-debuginfo-0:5.6.4-4.module_el8.6.0+2778+cd494b30.x86_64
    - python38-psycopg2-0:2.8.4-4.module_el8.7.0+3344+99a6a656.x86_64
    - python38-psycopg2-debuginfo-0:2.8.4-4.module_el8.7.0+3344+99a6a656.x86_64
    - python38-psycopg2-doc-0:2.8.4-4.module_el8.7.0+3344+99a6a656.x86_64
    - python38-psycopg2-tests-0:2.8.4-4.module_el8.7.0+3344+99a6a656.x86_64
    - python38-pycparser-0:2.19-3.module_el8.6.0+2778+cd494b30.noarch
    - python38-pysocks-0:1.7.1-4.module_el8.6.0+2778+cd494b30.noarch
    - python38-pytz-0:2019.3-4.module_el8.9.0+3633+e453b53a.noarch
    - python38-pyyaml-0:5.4.1-1.module_el8.6.0+2778+cd494b30.x86_64
    - python38-pyyaml-debuginfo-0:5.4.1-1.module_el8.6.0+2778+cd494b30.x86_64
    - python38-requests-0:2.22.0-10.module_el8.9.0+3633+e453b53a.noarch
    - python38-rpm-macros-0:3.8.17-2.module_el8.9.0+3633+e453b53a.noarch
    - python38-scipy-0:1.3.1-5.module_el8.9.0+3633+e453b53a.x86_64
    - python38-scipy-debuginfo-0:1.3.1-5.module_el8.9.0+3633+e453b53a.x86_64
    - python38-setuptools-0:41.6.0-5.module_el8.6.0+2778+cd494b30.noarch
    - python38-setuptools-wheel-0:41.6.0-5.module_el8.6.0+2778+cd494b30.noarch
    - python38-six-0:1.12.0-10.module_el8.6.0+2778+cd494b30.noarch
    - python38-test-0:3.8.17-2.module_el8.9.0+3633+e453b53a.x86_64
    - python38-tkinter-0:3.8.17-2.module_el8.9.0+3633+e453b53a.x86_64
    - python38-urllib3-0:1.25.7-5.module_el8.6.0+2778+cd494b30.noarch
    - python38-wheel-0:0.33.6-6.module_el8.6.0+2778+cd494b30.noarch
    - python38-wheel-wheel-0:0.33.6-6.module_el8.6.0+2778+cd494b30.noarch
    - python3x-pip-0:19.3.1-7.module_el8.9.0+3633+e453b53a.src
    - python3x-setuptools-0:41.6.0-5.module_el8.6.0+2778+cd494b30.src
    - python3x-six-0:1.12.0-10.module_el8.6.0+2778+cd494b30.src
    - pytz-0:2019.3-4.module_el8.9.0+3633+e453b53a.src
    - scipy-0:1.3.1-5.module_el8.9.0+3633+e453b53a.src
    - scipy-debugsource-0:1.3.1-5.module_el8.9.0+3633+e453b53a.x86_64
...
